# PromptUtils

## PromptUtilsSettings

### **prompt\_options: `Optional[PromptOptions]`**

**Description:** Prompt options.\
**Default:** `None`

### **tensor\_name\_outputs: Optional\[List\[str]]**

**Description:** Optional list of output tensor names. Not used at the moment.\
**Default:** `None`

### **model\_type: Optional\[ModelType]**

**Description:** Target format to be used for parsing the input data.\
**Default:** `None`

## PromptOptions

### **uri: `str`**

**Description:** URI to the prompt template file. This must be a relative URI (aka path) to the `model-settings.json` file.

### **tokens: `Dict[str, str]`**

**Description:** Tokens to be used in the prompt template. These are key-value pairs that will be used to render the template.\
**Default:** `{}`

### type: `Litera["jinja"]`

**Description:** The type of the prompt compiler to use.\
**Default:** `"jinja"`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/llm-module/resources/reference/prompt-utils.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
